### Class

# Ide Settings

#### Description

    final class Ide.Settings : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_settings_new

No description available.

#### Instance methods

###### ide_settings_bind

No description available.

###### ide_settings_bind_with_mapping

Like `ide_settings_bind()` but allows transforming to and from settings storage using `get_mapping` and `set_mapping` transformation functions.

Available since: 3.32

###### ide_settings_get_boolean

No description available.

###### ide_settings_get_default_value

No description available.

###### ide_settings_get_double

No description available.

###### ide_settings_get_ignore_project_settings

No description available.

###### ide_settings_get_int

No description available.

###### ide_settings_get_relative_path

No description available.

###### ide_settings_get_schema_id

No description available.

###### ide_settings_get_string

No description available.

###### ide_settings_get_uint

No description available.

###### ide_settings_get_user_value

No description available.

###### ide_settings_get_value

No description available.

###### ide_settings_set_boolean

No description available.

###### ide_settings_set_double

No description available.

###### ide_settings_set_int

No description available.

###### ide_settings_set_string

No description available.

###### ide_settings_set_uint

No description available.

###### ide_settings_set_value

No description available.

###### ide_settings_unbind

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Settings:ignore-project-settings

No description available.

###### Ide.Settings:project-id

No description available.

###### Ide.Settings:relative-path

No description available.

###### Ide.Settings:schema-id

No description available.

#### Signals

###### Ide.Settings::changed

No description available.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeSettingsClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.